            #GIT_CMT=68315eeb9ddf9f849681c1424efc2a40096e8df7
# Copyright(c) 2015,2016 Oracle and/or its affiliates.  All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

# Python major version.
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

# Package version
%global package_version 5.0.1
%global container_tag 5.0

# Kolla user name and group name (DO NOT CHANGE THESE!)
%global kolla_user      kolla
%global kolla_group     %{kolla_user}

# Docker group name
%global docker_group    docker


Summary:        OpenStack Kolla development files.
Name:           openstack-kolla-devel
Version:        %{package_version}
Release:    54.el7
License:        Apache License, Version 2.0
Group:          Applications/System
Url:            https://launchpad.net/kolla
Source0: openstack-kolla-devel-5.0.1.tar.bz2
BuildArch:      noarch

BuildRequires:  python                      >= 2.6
BuildRequires:  python-setuptools           >= 0.9.8
BuildRequires:  python-pbr                  >= 1.3.0
BuildRequires:  git                         >= 1.7.1
Requires:       GitPython                   >= 1.0.1
Requires:       python-gitdb                >= 0.6.4
Requires:       python-pbr                  >= 1.3.0
Requires:       python-jinja2               >= 2.8
Requires:       openstack-kolla-ansible     = %{package_version}


%description -n openstack-kolla-devel
Files used to develop Kolla OpenStack Docker images.


%prep
%setup -q -n %{name}-%{version}


%build
# Generate a temporary pkg-info file to make pbr happy
git init .
PKGINFO_NAME=$(sed -n -e '/^name/ s/name\s=\s//p' setup.cfg)
PKGINFO_VERSION=$(sed -n -e '/^version/ s/version\s=\s//p' setup.cfg)
if [[ -z "${PKGINFO_VERSION}" ]]
then
    PKGINFO_VERSION="%{package_version}"
fi
cat >PKG-INFO <<__EOF__
Metadata-Version: 1.1
Name: ${PKGINFO_NAME}
Version: ${PKGINFO_VERSION}
__EOF__

# Build the package
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Create the required directory structures
mkdir -m 0755 -p %{buildroot}%{_datadir}/kolla
cp docker/base/LICENSE.TXT %{buildroot}%{_datadir}/kolla/

mkdir -m 0755 -p %{buildroot}%{_sysconfdir}/kolla
mkdir -m 0755 -p %{buildroot}%{_sysconfdir}/kolla/config
cp -r etc/kolla/* %{buildroot}%{_sysconfdir}/kolla/

[[ -d /etc/kolla/config ]] && find %{buildroot}%{_sysconfdir}/kolla/config -type f | xargs chmod 0664
[[ -d /etc/kolla/config ]] && find %{buildroot}%{_sysconfdir}/kolla/config -type d | xargs chmod 0775


%clean
# rm -rf %{buildroot}


%files
%defattr(-, %{kolla_user}, %{kolla_group})
%attr(0444, root, root) %doc LICENSE
%attr(0444, root, root) %doc README.rst
%attr(0644, %{kolla_user}, %{kolla_group}) %{_datadir}/kolla/LICENSE.TXT
%attr(-, root, %{kolla_group}) %{_bindir}/kolla-build
%{_sysconfdir}/kolla/kolla-build.conf
%{_sysconfdir}/kolla/template-overrides.j2
%{_datadir}/kolla/*
%{python_sitelib}/*
%exclude %{_datadir}/kolla/tools/cleanup-images
%exclude %{_datadir}/kolla/tools/validate-docker-execute.sh
%exclude %{python_sitelib}/kolla-*.egg-info
%exclude %{python_sitelib}/kolla/__init__*
%exclude %{python_sitelib}/kolla/cmd/__init__*


%changelog
* Thu Jul 26 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-54.el7
- BUILDINFO: commit=68315eeb9ddf9f849681c1424efc2a40096e8df7
- Update Oracle template-overrides for new rabbitmq (Paul Bourke)  
- Move to the latest rabbitmq (Paul Bourke)  

* Thu Jul 26 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-53.el7
- BUILDINFO: commit=d7e1ee7e297bd7e41be29b1cb2aece68aaa377cb
- Revert "Disable rabbitmq plugin 'rabbitmq_management'" (Paul Bourke)

* Wed Jul 25 2018 Vladislav Belogrudov <vladislav.belogrudov@oracle.com> - 5.0.1-52.el7
- BUILDINFO: commit=4d6ca761980d8b68e353ac603fb9395a80eefb4e
- Fix upgrade of cinder targets from 4.x to 5.x release (Vladislav Belogrudov)

* Fri Jul 20 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-51.el7
- BUILDINFO: commit=382fe886e714783643d8995eff1c2dfdad515e5b
- Disable rabbitmq plugin 'rabbitmq_management' (Paul Bourke)   {CVE-2011-4969} {CVE-2012-6708} {CVE-2015-9251}

* Fri Jul 20 2018 Mick Thompson <michael.a.thompson@oracle.com> - 5.0.1-50.el7
- BUILDINFO: commit=f185985b039e175733cca3062590c916944eb196
- Correct errors with license file (openstack-kolla-devel) (Mick Thompson)

* Thu Jul 19 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-49.el7
- BUILDINFO: commit=6580017f1a0fa1069a19d3b5d40a873756cd67d7
- Remove cradox from gnocchi in favor of python-rados (Paul Bourke)

* Tue Jul 17 2018 Nikita Gerasimov <nikita.gerasimov@oracle.com> - 5.0.1-48.el7
- BUILDINFO: commit=4ae7445fdb332d0493cbdc2cae0dd8ba3c7dbd47
- Switch to public repositories (Nikita Gerasimov)

* Mon Jul 16 2018 Vladislav Belogrudov <vladislav.belogrudov@oracle.com> - 5.0.1-47.el7
- BUILDINFO: commit=21a251722eca62b6e8cd8205c83cbcdf9ef9b763
- Enable UEK5 repository to use UEK5 user space tools (Vladislav Belogrudov)

* Fri Jul 13 2018 Nikita Gerasimov <nikita.gerasimov@oracle.com> - 5.0.1-46.el7
- BUILDINFO: commit=630a7eda1a38bf292c02bc3b29796ccb010355f5
- Enable Ceph Storage for Oracle Linux Release 3.0 GA repo (Nikita Gerasimov)

* Fri Jul 06 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-45.el7
- BUILDINFO: commit=669008e01c00e1c64f2f5d5fd0449793350d27c9
- Add dibbler-client package to neutron-l3-agent (Murali Annamneni)

* Fri Jun 22 2018 Nikita Gerasimov <nikita.gerasimov@oracle.com> - 5.0.1-44.el7
- BUILDINFO: commit=677da1e547649e08efbe10a036bc6b51f594bb0f
- Fix the elasticsearch start failed (zhulingjie)

* Thu Jun 14 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-43.el7
- BUILDINFO: commit=0ed0add310554148ac56150f50188f8f56bda32a
- Correct typo mistake in mysqlcluster-mgmt Docker file (Murali Annamneni)

* Fri Jun 08 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-42.el7
- BUILDINFO: commit=ff0fde35b8060f4b31a4411c12e5880710dbcef3
- Add missing sed for dumb-init (Paul Bourke)

* Thu Jun 07 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-41.el7
- BUILDINFO: commit=c7db560d2a91cd66af25245753eb3fd11678e3b8
- Add missing dumb-init to o3l build (Paul Bourke)

* Tue Jun 05 2018 Mick Thompson <michael.a.thompson@oracle.com> - 5.0.1-40.el7
- BUILDINFO: commit=af87302d5fa5ce092627efb2e971404fb73d0017
- Correct download path for mysqlcluster RPMs (Mick Thompson)

* Fri Jun 01 2018 Mick Thompson <michael.a.thompson@oracle.com> - 5.0.1-39.el7
- BUILDINFO: commit=52fed5a220a0c0f7f72ff7b9eea51bbc020965cb
- Source NDB Cluster RPMs from mysql.com (Mick Thompson)

* Wed May 30 2018 Vladislav Belogrudov <vladislav.belogrudov@oracle.com> - 5.0.1-38.el7
- BUILDINFO: commit=7685286203114f436d07b83700181b7a59092664
- Use GA 7.6.6-1 binaries for NDB Cluster (Vladislav Belogrudov)

* Tue May 29 2018 James McCarthy <james.m.mccarthy@oracle.com> - 5.0.1-37.el7
- BUILDINFO: commit=137add413ab1c30305b63a92077a1304286ba7c5
- Put upper limit on cmd2 in kolla-toolbox (Martin André)

* Wed May 23 2018 Gerry Buteau <gerry.buteau@oracle.com> - 5.0.1-36.el7
- Fixup pbr semver for castellan in overrides (Gerry Buteau)  
- Fix mysqlcluster reconfiguration after initial deployment (Vladislav Belogrudov)  
- Changing branch reference to newly created one (Mark Duggan)

* Tue May 15 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-34.el7
- BUILDINFO: commit=cab02ae579ea4fd95a44a2099a06facc14a51ccd
- Install Oracle fork of castellan (Paul Bourke)

* Mon May 14 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-33.el7
- BUILDINFO: commit=26afe0084ecf0d4907ac54997af3daa9e1547435
- Revert "Disable arista and vsphere plugins" (Paul Bourke)

* Wed May 09 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-32.el7
- BUILDINFO: commit=e2ceef833f3bf462a4ed8a3fdfd7b20ab6847666
- Revert "Disable neutron cisco plugin from the build" (Paul Bourke)

* Tue May 08 2018 Vladislav Belogrudov <vladislav.belogrudov@oracle.com> - 5.0.1-31.el7
- BUILDINFO: commit=db3fc3915e0ac554251a6fa572faeea3af1b4808
- Add "python2" filter for Neutron rootwrap (Vladislav Belogrudov)

* Thu May 03 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-30.el7
- BUILDINFO: commit=bededfba1de31c645fc47cd47252fa34999bf883
- Disable arista and vsphere plugins (Paul Bourke)  
- Disable upstream sources in o3l builds (Paul Bourke)

* Fri Apr 27 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-29.el7
- BUILDINFO: commit=7050cda5716bc75771746fb22f41b8421a21387c
- Add python-ironic-inspector-client to utils image (Paul Bourke)  
- Reenable fluentd in oracle build profile (Paul Bourke)  
- Disable neutron cisco plugin from the build (Paul Bourke)  
- Enable NDB support for Designate (Gerry Buteau)  
- Disable huawei neutron plugin temporarly (Murali Annamneni)  
- Re-enable neutron agents skipped from build (Murali Annamneni)  
- Enable neutron plugins in koll-build.conf (Murali Annamneni)  
- Revert "Enable neutron plugins commented before" (Paul Bourke)  
- Add support for Infoblox IPAM agent (Gerry Buteau)  
- Enable neutron plugins commented before (Murali Annamneni)  
- Fix novnc compatibility (Vladislav Belogrudov)  
- Fix failing builds due to rouge targetcli package (Paul Bourke)  
- Add openstack-heat-dashboard to Oracle kolla-build.conf (Paul Bourke)  
- Enable networking-infoblox neutron plugin (Gerry Buteau)  
- Add template-override for qemu-block-rbd in Nova (Paul Bourke)  
- Exclude ceph-nfs and novajoin from the oracle profile (Paul Bourke)  
- Temporarily remove fluentd from the oracle profile (Paul Bourke)  
- Add aodh and ceilometer to build profile (Murali Annamneni)  
- Upgrade MySqlCluster from 5.7.17-ndb-7.5.5 to 5.7.18-ndb-7.6.3-SR1 (Murali Annamneni)  
- Disable all neutron plugins temporarily (Murali Annamneni)  
- Disable neutron plugins temporarily (James McCarthy)  
- Remove temp repo for fluentd (Paul Bourke)  
- Update Oracle repos (Paul Bourke)  
- Fix error in Oracle kolla-build.conf (Paul Bourke)  
- Add missing Oracle kolla-build.conf (Paul Bourke)  
- Update version to 5.0.1 (Paul Bourke)  
- Port Oracle specific assets from 4.x (Paul Bourke)  
- Add designate-ui for horizon centos (Kevin Tibi)  
- Bump OpenStack service version (Jeffrey Zhang)  
- Add networking-baremetal (Harald Jensas)

* Thu Apr 19 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-28.el7
- BUILDINFO: commit=9248f50326c9a0960651d9db6df4a5dee903e5a8
- Add python-ironic-inspector-client to utils image (Paul Bourke)

* Wed Apr 18 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-27.el7
- BUILDINFO: commit=fa739db6eb3795671c9da8cadca2c5d3f7cbe379
- Reenable fluentd in oracle build profile (Paul Bourke)

* Thu Apr 12 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-26.el7
- BUILDINFO: commit=841d19f8648a549271696c06ec2187aaa1c8f9cf
- Disable neutron cisco plugin from the build (Paul Bourke)

* Mon Apr 09 2018 Gerry Buteau <gerry.buteau@oracle.com> - 5.0.1-25.el7
- BUILDINFO: commit=0343fe27b88876f8dfead712f619fca940b728a2
- Enable NDB support for Designate (Gerry Buteau)

* Mon Apr 09 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-24.el7
- BUILDINFO: commit=559112f28c2398b434dcecf7e4957a2f79b95f56
- Disable huawei neutron plugin temporarly (Murali Annamneni)

* Thu Apr 05 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-23.el7
- BUILDINFO: commit=ac2315d2944087f9a6770acd7a1acfdc18d00753
- Re-enable neutron agents skipped from build (Murali Annamneni)

* Wed Apr 04 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-22.el7
- BUILDINFO: commit=6050aad9fe72887d17c7fa5624b4b9dde0f0dc30
- Enable neutron plugins in koll-build.conf (Murali Annamneni)

* Tue Apr 03 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-21.el7
- BUILDINFO: commit=95d20f82f07397ee2c3a51986f8b254fde835aa7
- Revert "Enable neutron plugins commented before" (Paul Bourke)

* Mon Apr 02 2018 Gerry Buteau <gerry.buteau@oracle.com> - 5.0.1-20.el7
- BUILDINFO: commit=dfbf6241e69142a9ef807dc79280d5c8ba6331b1
- Add support for Infoblox IPAM agent (Gerry Buteau)

* Fri Mar 30 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-19.el7
- BUILDINFO: commit=018e5547b0cfb95d067153f2f440e236d2b8f5e4
- Migrate neutron-vpnaas-agent to neutron-l3-agent (chenxing)

* Fri Mar 30 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-18.el7
- BUILDINFO: commit=728bc86340b46aa08de8510ea88447527ca52df5
- Enable neutron plugins commented before (Murali Annamneni)

* Thu Mar 29 2018 Vladislav Belogrudov <vladislav.belogrudov@oracle.com> - 5.0.1-17.el7
- BUILDINFO: commit=c1b7665a30687d98b622878681d754667ce5bf1a
- Fix novnc compatibility (Vladislav Belogrudov)

* Wed Mar 28 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-16.el7
- BUILDINFO: commit=66e110025008138f340bde5510334f446ed0406d
- Fix failing builds due to rouge targetcli package (Paul Bourke)

* Tue Mar 27 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-15.el7
- BUILDINFO: commit=baf3016ca6031dfa53e84e38ab0777546be872da
- Add openstack-heat-dashboard to Oracle kolla-build.conf (Paul Bourke)

* Mon Mar 12 2018 Gerry Buteau <gerry.buteau@oracle.com> - 5.0.1-14.el7
- BUILDINFO: commit=7e35ae7fae4fde602f11c7cadc90c6eefb1a7687
- Enable networking-infoblox neutron plugin (Gerry Buteau)

* Mon Mar 12 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-13.el7
- BUILDINFO: commit=5ad4d9ff8040a155dbfe38d6e55dd3ca8d426758
- Add template-override for qemu-block-rbd in Nova (Paul Bourke)

* Thu Mar 08 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-12.el7
- BUILDINFO: commit=fc87339854f780209e68e824008158dd1a669bde
- Exclude ceph-nfs and novajoin from the oracle profile (Paul Bourke)

* Wed Mar 07 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-11.el7
- BUILDINFO: commit=793235474bb2c45e6ec63e30696ae29a7f153de3
- Temporarily remove fluentd from the oracle profile (Paul Bourke)

* Wed Mar 07 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-10.el7
- BUILDINFO: commit=f83e371bb77ca3ce607a01f4e110c9033d40ffb4
- Fix up config.py after merge (Paul Bourke)

* Wed Mar 07 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-9.el7
- BUILDINFO: commit=e7b8ff308f246dd5b1cb7b34cb1417a0ea5419e8
- Add aodh and ceilometer to build profile (Murali Annamneni)  
- Upgrade MySqlCluster from 5.7.17-ndb-7.5.5 to 5.7.18-ndb-7.6.3-SR1 (Murali Annamneni)  
- Disable all neutron plugins temporarily (Murali Annamneni)  
- Disable neutron plugins temporarily (James McCarthy)  
- Remove temp repo for fluentd (Paul Bourke)  
- Update Oracle repos (Paul Bourke)  
- Fix error in Oracle kolla-build.conf (Paul Bourke)  
- Add missing Oracle kolla-build.conf (Paul Bourke)  
- Update version to 5.0.1 (Paul Bourke)  
- Port Oracle specific assets from 4.x (Paul Bourke)  
- Bump OpenStack service version (Jeffrey Zhang)  
- Update .gitreview for stable/queens (OpenStack Release Bot)  
- Add cap mgr 'allow *' for ceph admin key (Jeffrey Zhang)  
- Use queens repo rather than pike for aarch64 and ppc64le (Jeffrey Zhang)  
- Use queens release for all OpenStack projects (Jeffrey Zhang)  
- syslinux package is only built for x86_64 (Mark Hamzy)  
- ppc64le is built in delorean-deps.repo (Mark Hamzy)  
- Add socat to base image (Martin Mágr)  
- Seem there are some wrong in infra ubuntu repo (Jeffrey Zhang)  
- Fix ceilometer deployment (Alexandru Bogdan Pica)  
- fix typo (kangyufei)  
- Replace Chinese single quotes to English single quotes (chengebj5238)  
- Remove heat-api-cloudwatch image (rabi)  
- Added more information on building images (Anh3h)  
- Remove the unsupported 'insecure_registry' for >=docker 3.0.0 (Jianghua Wang)  
- Remove nose dependency (Andrea Frittoli)  
- Use absolute path in install_pip macro (Martin André)  
- openstack-base: provide Postgresql headers for source builds (Marcin Juszkiewicz)  
- Update "containers" to "images" (caoyuan)  
- Add one more step to generate kolla-build.conf file (chenxing)

* Mon Feb 26 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-8.el7
- BUILDINFO: commit=0a0ca42406216a32c86b082a418ac7b2aa558e08
- Add aodh and ceilometer to build profile (Murali Annamneni)  
- Fix ceilometer deployment (Alexandru Bogdan Pica)

* Wed Feb 21 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-7.el7
- BUILDINFO: commit=8ff58f04da8e7cd96a47fd0b91e8ebce807aa316
- Upgrade MySqlCluster from 5.7.17-ndb-7.5.5 to 5.7.18-ndb-7.6.3-SR1 (Murali Annamneni)

* Wed Feb 14 2018 Murali Annamneni <murali.annamneni@oracle.com> - 5.0.1-6.el7
- BUILDINFO: commit=b2da9de1ae4f6b101f19bfeccc3ecb494c1b7b55
- Disable all neutron plugins temporarily (Murali Annamneni)

* Tue Feb 13 2018 James McCarthy <james.m.mccarthy@oracle.com> - 5.0.1-5.el7
- BUILDINFO: commit=382a22610ba2e72f476e1bdcb56b62d134b0e290
- Disable neutron plugins temporarily (James McCarthy)

* Thu Feb 01 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-4.el7
- BUILDINFO: commit=e39dd03536ab3d0c45d0823b0a4b687d7fec1684
- Remove temp repo for fluentd (Paul Bourke)

* Fri Jan 26 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-3.el7
- BUILDINFO: commit=81f1e4baf0aaee58a1827fac60009a2bfcad3882
- Update Oracle repos (Paul Bourke)

* Fri Jan 26 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-2.el7
- BUILDINFO: commit=7257b6f8045452637d7c4697d0630e094c246b4d
- Fix error in Oracle kolla-build.conf (Paul Bourke)

* Fri Jan 26 2018 Paul Bourke <paul.bourke@oracle.com> - 5.0.1-1
- BUILDINFO: commit=04e225ce2f7cc3a891ed74dfb5ba12de55da43c7
- Add missing Oracle kolla-build.conf

* Fri Jan 19 2018 - Paul Bourke <paul.bourke@oracle.com>
- Bump versions

* Wed Jan 10 2018 - James McCarthy <james.m.mccarthy@oracle.com>
- Initial release, devel package for docker images - post repo split

